package com.qmth.themis.business.enums;

/**
 * @Description: 任务类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum TaskTypeEnum {

    CALCULATE_EXAM_SCORE("考试重新算分"),

    IMPORT_EXAM_STUDENT("导入考生"),

    IMPORT_EXAM_PAPER("导入试卷"),

    IMPORT_INVIGILATE_USER("导入监考员"),

    EXPORT_INVIGILATE_USER("导出监考员"),
    
    EXPORT_EXAM_STUDENT("导出考生"),

    EXPORT_MARK_RESULT_SIMPLE("导出成绩简版"),

    EXPORT_MARK_RESULT_STANDARD("导出成绩标准版"),

    CLOUD_MARK_SCORE_SYNC("云阅卷考生成绩同步"),

    CLOUD_MARK_DATA_PUSH("云阅卷考试数据推送");

    private String code;

    private TaskTypeEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }
}
